set editing-mode vi
set show-mode-in-prompt on
set vi-ins-mode-string "\001\e[1;30;104m\002Insert\001\e[m\e[6 q \2\002"
set vi-cmd-mode-string "\001\e[1;30;107m\002Normal\001\e[m\e[2 q \2\002"

# Duration to wait before escaping out of Insert mode on Esc keypress
set keyseq-timeout 0

# optionally:
# switch to block cursor before executing a command
set keymap vi-insert
RETURN: "\e\n"
